## kubuntu-web-shortcuts 13.04ubuntu4

=== Makefile ===
#
# Makefile for Kubuntu Helpers
# (C) 2008 by Guillaume Martres <smarter@ubuntu.com>
# (C) 2007 by Harald Sitter <sitter.harald@gmail.com>
# (C) 2005 by Stephan Hermann <sh@sourcecode.de>
#

ifndef DESTDIR
DESTDIR=
endif

providers=	$(shell /bin/ls searchproviders)

SERVICE_DIR=$(shell kde4-config --install services)

SEARCHPROVIDERS:=$(SERVICE_DIR)/searchproviders

all: 

install: searchproviders

searchproviders: $(providers)

%.desktop: 
	@echo "Installing: $(DESTDIR)$(SEARCHPROVIDERS)/$@"
	install -D -m 644 searchproviders/$@ $(DESTDIR)$(SEARCHPROVIDERS)/$@

## kubuntu-web-shortcuts 11.10ubuntu2

=== debian/changelog ===
kubuntu-web-shortcuts (11.10ubuntu2) oneiric; urgency=low

  * Fix kpackagecode.desktop to use ~kubuntu-packagers instead of
    ~kubuntu-members

 -- Michał Zając <quintasan@kubuntu.org>  Sat, 18 Jun 2011 23:20:03 +0200

kubuntu-web-shortcuts (11.10ubuntu1) oneiric; urgency=low

  [ Rohan Garg ]
  * Transition from kubuntu-konqueror-shortcuts to kubuntu-web-shortcuts
    - Add Break/Replaces for kubuntu-konqueror-shortcuts
  * Update AUTHOR's file to point to new launchpad page
  * Add myself to AUTHOR's file
  * Add upkglp - search Ubuntu Binary packages on Launchpad
  * Add transitional package for kubuntu-konqeuror-shortcuts

  [ Harald Sitter ]
  * Add udsnotes - access meeting notes from UDS
  * Fix package building (add install file)

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 16 May 2011 14:46:23 +0200

kubuntu-konqueror-shortcuts (11.04ubuntu1) natty; urgency=low

  * Add uman - search Ubuntu Manuals/manpages

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 14 Nov 2010 22:59:51 +0100

kubuntu-konqueror-shortcuts (10.10ubuntu1) maverick; urgency=low

  [ Harald Sitter ]
  * Add kpackagecode - go to Kubuntu packaging branch
  * Add lpuser - go to Launchpad user page
  * Add lpppas - search for a PPA by name
  * Update my copyright + use proper copyright symbols throughout the file

  [ Jonathan Riddell ]
  * Depend on rekonq or konqueror

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 22 Jul 2010 09:42:15 +0100

kubuntu-konqueror-shortcuts (10.04ubuntu1) lucid; urgency=low

  * Updates for Kubuntu 10.04
    + Change versioning scheme: version is target Kubuntu version + ubuntuN,
      only ubuntuN gets incremented for subsequent updates to the same
      Kubuntu series
  * Fix escaping in lppeople and lpblueprint (LP: #454409)
  * Change source download URL to homepage of LP project
  * Change Maintainer from Ubuntu Core Developers to Kubuntu Developers
  * Fix short description length
  * Add misc:Depends for debhelper (makes lintian happy)

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 25 Jan 2010 11:57:20 +0100

kubuntu-konqueror-shortcuts (0.7) karmic; urgency=low

  * Add lp - general Launchpad search
  * Add lpcode - search project with code branches
  * Add lpblueprint - search blueprints
    + Also supports enhanced searches like lppeople
      lpblueprint:amarok project=ubuntu
      will return all blueprints mentioning amarok in the project ubuntu
  * Rename lpsource to usource (it's really Ubuntu source packages)
  * Rename lpproduct to lpbugproject and replace all keys with lpbugproject,
    might be longer but worth the clearness
  * Nuke lp key off lpbug's list, I wonder why lp would be used there anyway
  * Nuke upeople and uppl keys off lppeople's list, replaced by lppeople
    + Enhance URL so that it is now possible to search like
      lppeople:harald sitter type=peopleonly
      which would return no teams (vice versa would be type=teamsonly)
  * Nuke old lpbug keys
  * Fix brainstorm
  * Bump standards version to 3.8.3

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 07 Sep 2009 14:02:25 +0200

kubuntu-konqueror-shortcuts (0.6) intrepid; urgency=low

  * The "KDE 3 is so yesterday" release
  * Makefile:
    - use kde4-config instead of kde-config to find services .desktop directory
    - don't run make install if make is run without arguments
  * debian/control:
    - removed Build-Deps-Indep on kdelibs4c2a
    - Build-Deps on kdelibs-bin
    - bumped debhelper Build-Deps to 7
    - bumped Standards-Version to 3.8.0.1, no changes needed
    - updated Vcs fields
    - removed Recommends on konqueror and konqueror-kde4
    - added back Dependency on konqueror
    - updated Description
  * debian/compat:
    - bumped to level 7 for new debian/rules
  * debian/rules:
    - Use debhelper 7 tiny rules file
  * debian/links.in, debian/dirs:
    - removed, not needed anymore

 -- Guillaume Martres <smarter@ubuntu.com>  Thu, 19 Jun 2008 18:49:05 +0200

kubuntu-konqueror-shortcuts (0.5.1) intrepid; urgency=low

  [ Daniel Hahler ]
  * Add "lp" shortcut to lpbug.desktop
  * Add lpcve.desktop: Provide "cve"/"lpcve" to open that CVE on
    Launchpad

  [ Guillaume Martres ]
  * debian/kubuntu-konqueror-shortcuts.X renamed to debian/X
    (only useful on multiple binaries packages)
  * Added debian/links.in, used by debian/rules to generate debian/links
    to create link from /usr/share/services/searchproviders to
    /usr/lib/kde4/share/kde4/services/searchproviders for KDE4
  * debian/rules:
    - added debian/links target
    - install .desktop in debian/kubuntu-konqueror-shortcuts, not debian/tmp
    - don't install ChangeLog
  * Removed debian/install, .desktop are now installed and linked
    in the right place by the Makefile
  * debian/control:
    - added Vcs-Browser field
    - Build-Deps on sed
  * debian/copyright:
    - added list of authors and copyright based on debian/changelog
  * README:
    - updated
  * Fixed Lintian build-depends-without-arch-dep and
    binary-arch-rules-but-pkg-is-arch-indep warnings
  * ChangeLog is now a link to debian/changelog
  * AUTHOR is now a link to debian/copyright
  * debian/docs:
    - don't install AUTHOR

 -- Guillaume Martres <smarter@ubuntu.com>  Thu, 27 Mar 2008 22:33:04 +0100

kubuntu-konqueror-shortcuts (0.5) hardy; urgency=low

  * Updated upackage.desktop to use the new URL form
  * Bumped Standards-Version to 3.7.3
  * Added lppeople.desktop
  * Added brainstorm.desktop
  * Install .desktop in /usr/lib/kde4 too, so that Konqueror4 can use them
  * Fixed some Lintian warnings and errors

 -- Guillaume Martres <smarter@ubuntu.com>  Wed, 12 Mar 2008 13:07:04 +0100

kubuntu-konqueror-shortcuts (0.4) gutsy; urgency=low

  * Fixed lpproduct.desktop query (Closes Malone #94265)
  * Updated all queries for new launchpad
  * Changed upackage.desktop to query packages.ubuntu.com instead of launchpad
  * Renamed 'ubug' to 'lpbug' and 'usource' to 'lpsource'
  * Enhanced README file



=== debian/control ===
Source: kubuntu-web-shortcuts
Section: kde
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stephan Hermann <sh@sourcecode.de>
Build-Depends: debhelper (>= 7), kdelibs-bin
Standards-Version: 3.8.3
Vcs-Bzr: lp:kubuntu-web-shortcuts
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-web-shortcuts/trunk

Package: kubuntu-web-shortcuts
Section: kde
Replaces: kubuntu-konqueror-shortcuts (<< 11.10ubuntu1)
Conflicts: kubuntu-konqueror-shortcuts (<< 11.10ubuntu1)
Architecture: all
Depends: ${misc:Depends}
Suggests: rekonq | konqueror
Description: web shortcuts for Kubuntu, Ubuntu, Launchpad
 The main shortcuts are:
  ubw: Kubuntu Wiki Direct Access
  ubws: Kubuntu Wiki Search
  udsnotes: Ubuntu Developer Summit Notes (etherpad)
  uhelp: Ubuntu Community Docs Direct Access
  uhelps: Ubuntu Community Docs Search
  upkg: Ubuntu Package Search
  ubug: Ubuntu Launchpad BugID and Term Search 
  usrc: Ubuntu Source Packages
  uproduct: Ubuntu Launchpad Product Bug Finder
  upeople: Ubuntu Launchpad People Finder
  bstorm: Ubuntu Brainstorm Ideas
  upkglp: Ubuntu Binary Package search on Launchpad
 .
 See /usr/share/doc/kubuntu-web-shortcuts/README for a full list

Package: kubuntu-konqueror-shortcuts
Section: kde
Architecture: all
Depends: kubuntu-web-shortcuts, ${misc:Depends}
Description: Transitional package for kubuntu-web-shortcuts
 This is a transitional package for kubuntu-konqueror-shortcuts, and can be safely removed
 after the installation is complete.

## kubuntu-web-shortcuts 13.04ubuntu4

=== debian/changelog ===
kubuntu-web-shortcuts (13.04ubuntu4) raring; urgency=low

  * Build-depend on kdelibs-bin so kde4-config is installed.
    This fixes the install path.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 14 Apr 2013 10:17:46 +0200

kubuntu-web-shortcuts (13.04ubuntu3) raring; urgency=low

  * Build-dep on pkg-kde-tools (>= 0.15.3ubuntu7)
    + Previous versions were missing the python dep for msgsplit, so
      desktop file pot creation was supposedly not correct.

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 18 Mar 2013 14:19:51 +0100

kubuntu-web-shortcuts (13.04ubuntu2) raring; urgency=low

  * Set X-Ubuntu-Use-Langpack: yes in control to enable pot generation
  * Build depend on pkg-kde-tools >= 0.15.3ubuntu5 to ensure l10n creation works
  * Build with kubuntu-l10n sequence
  * General package changes/updaes:
    + Update to source format 3
    + Bump standards version to 3.9.4
    + Build depend on debhelper >= 9 and set compat to 9

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 12 Mar 2013 15:28:27 +0100

kubuntu-web-shortcuts (13.04ubuntu1) raring; urgency=low

  * Drop kubuntu-konqueror-shortcuts transitional package
    + Drop install file, not needed anymore
  * Bump standards version to 3.9.4

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 06 Mar 2013 13:55:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Stephan Hermann <sh@sourcecode.de>
-Build-Depends: debhelper (>= 7), kdelibs-bin
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.15.3ubuntu7), kdelibs-bin
+Standards-Version: 3.9.4
+X-Ubuntu-Use-Langpack: yes
 Vcs-Bzr: lp:kubuntu-web-shortcuts
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-web-shortcuts/trunk
 
@@ -31,11 +32,3 @@
   upkglp: Ubuntu Binary Package search on Launchpad
  .
  See /usr/share/doc/kubuntu-web-shortcuts/README for a full list
-
-Package: kubuntu-konqueror-shortcuts
-Section: kde
-Architecture: all
-Depends: kubuntu-web-shortcuts, ${misc:Depends}
-Description: Transitional package for kubuntu-web-shortcuts
- This is a transitional package for kubuntu-konqueror-shortcuts, and can be safely removed
- after the installation is complete.

## kubuntu-web-shortcuts 15.04ubuntu1

=== debian/changelog ===
kubuntu-web-shortcuts (15.04ubuntu1) vivid; urgency=medium

  *  Port to KDE Frameworks 5
    + Move from a Makefile to a simple install file.
    + Drop build depends on kdelibs-bin
    + Bump bdep on pkg-kde-tools to 0.15.16ubuntu2 as the previous
      kf5 versions had no kubuntu_l10n sequence for debhelper
  * Bump standars version to 3.9.6 (no change)
  * Add more altnerative suggests for plasma-workspace as it also
    provides a UI for running

 -- Harald Sitter <sitter@kde.org>  Mon, 16 Feb 2015 10:04:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,17 @@
 Priority: optional
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Stephan Hermann <sh@sourcecode.de>
-Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.15.3ubuntu7), kdelibs-bin
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.15.16ubuntu2)
+Standards-Version: 3.9.6
 X-Ubuntu-Use-Langpack: yes
 Vcs-Bzr: lp:kubuntu-web-shortcuts
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-web-shortcuts/trunk
 
 Package: kubuntu-web-shortcuts
 Section: kde
-Replaces: kubuntu-konqueror-shortcuts (<< 11.10ubuntu1)
-Conflicts: kubuntu-konqueror-shortcuts (<< 11.10ubuntu1)
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: rekonq | konqueror
+Suggests: plasma-workspace | rekonq | konqueror
 Description: web shortcuts for Kubuntu, Ubuntu, Launchpad
  The main shortcuts are:
   ubw: Kubuntu Wiki Direct Access

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kubuntu-l10n

## kubuntu-web-shortcuts 17.04ubuntu1

=== debian/changelog ===
kubuntu-web-shortcuts (17.04ubuntu1) zesty; urgency=medium

  * Remove brain/idea, UDS Notepad as they both are not used anymore
  * Remove .desktop files needed for above searchproviders
  * Add new search provider for lpkp which links to Kubuntu Packaging
    on Launchpad.

 -- Aaron Honeycutt <aaronhoneycutt@ubuntu.com>  Sat, 04 Mar 2017 16:51:21 +0000

kubuntu-web-shortcuts (16.10.0) yakkety; urgency=medium

  *  removed brainstorm as it is not supported anymore 
    - Change is from Torsten Franz's merge

 -- Aaron Honeycutt <aaronhoneycutt@kubuntu.org>  Sun, 31 Jul 2016 22:59:20 -0400

## kubuntu-web-shortcuts 17.04ubuntu2

=== debian/changelog ===
kubuntu-web-shortcuts (17.04ubuntu2) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 17 Feb 2024 18:45:03 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Stephan Hermann <sh@sourcecode.de>
-Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.15.16ubuntu2)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9),
+               pkg-kde-tools (>= 0.15.16ubuntu2)
+Standards-Version: 3.9.8
 X-Ubuntu-Use-Langpack: yes
-Vcs-Bzr: lp:kubuntu-web-shortcuts
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-web-shortcuts/trunk
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kubuntu-web-shortcuts
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kubuntu-web-shortcuts
 
 Package: kubuntu-web-shortcuts
 Section: kde

## kubuntu-web-shortcuts 17.04ubuntu3

=== debian/changelog ===
kubuntu-web-shortcuts (17.04ubuntu3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 15 Dec 2025 21:35:39 +0000
